version: '2'
mpp-vars:
  name: eclipse-sdv
  use_containers: true
pipelines:
- mpp-import-pipelines:
    path: builds/build.ipp.yml
- name: rootfs
  build: name:build
  stages:
  - type: org.osbuild.kernel-cmdline
    options:
      root_fs_uuid:
        mpp-eval: rootfs_uuid
      kernel_opts:
        mpp-eval: ''' '' .join(kernel_opts)'
  - type: org.osbuild.rpm
    options:
      gpgkeys:
      - mpp-eval: centos_gpg_key
      - mpp-eval: redhat_gpg_key
      disable_dracut: true
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          ignore-weak-deps: true
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl/BaseOS/$arch/os/
          repos:
            mpp-join:
            - mpp-eval: image_repos
            - mpp-eval: extra_repos
          packages:
            mpp-join:
            - mpp-eval: image_rpms
            - mpp-eval: extra_rpms
            - - podman
              - containernetworking-plugins
              - aardvark-dns
          excludes:
          - dracut-config-rescue
  - type: org.osbuild.skopeo
    inputs:
      images:
        type: org.osbuild.containers
        origin: org.osbuild.source
        mpp-resolve-images:
          images:  
            - source: quay.io/fedora/chariott
              tag: latest
              name: localhost/chariott
            - source: quay.io/ibrandao/kv-app
              tag: latest
              name: localhost/kv-app
            - source: quay.io/ibrandao/grpcurl
              tag: latest
              name: localhost/grpcurl
    options:
      destination:
        type: containers-storage
        storage-path: /usr/share/containers/storage

  - type: org.osbuild.mkdir
    options:
      paths:
        # ecal config
        - path: /etc/ecal
  - type: org.osbuild.copy
    inputs:
      # ecal.ini
      ecal_ini:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: ecal_ini
          path: ../files/ecal/ecal.ini
      # quadlet 
      quadlet_kube_chariottsdv:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: quadlet_kube_chariottsdv
          path: ../files/quadlet/chariott-sample.kube
      quadlet_deployment_chariottsdv:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: quadlet_deployment_chariottsdv
          path: ../files/quadlet/chariott-sample.yml
      quadlet_kube_kvappsdv:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: quadlet_kube_kvappsdv
          path: ../files/quadlet/kv-app-sample.kube
      quadlet_deployment_kvappsdv:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: quadlet_deployment_kvappsdv
          path: ../files/quadlet/kv-app-sample.yml
      quadlet_kube_grpcurl:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: quadlet_kube_grpcurl
          path: ../files/quadlet/grpcurl-sample.kube
      quadlet_deployment_grpcurl:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: quadlet_deployment_grpcurl
          path: ../files/quadlet/grpcurl-sample.yml
    options:
      paths:
        # ecal.ini
        - from:
            mpp-format-string: input://ecal_ini/{embedded['ecal_ini']}
          to: tree:///etc/ecal/ecal.ini
        - from:
            mpp-format-string: input://quadlet_kube_chariottsdv/{embedded['quadlet_kube_chariottsdv']}
          to: tree:////etc/containers/systemd/chariott-sample.kube
        - from:
            mpp-format-string: input://quadlet_deployment_chariottsdv/{embedded['quadlet_deployment_chariottsdv']}
          to: tree:////etc/containers/systemd/chariott-sample.yml
        - from:
            mpp-format-string: input://quadlet_kube_kvappsdv/{embedded['quadlet_kube_kvappsdv']}
          to: tree:////etc/containers/systemd/kv-app-sample.kube
        - from:
            mpp-format-string: input://quadlet_deployment_kvappsdv/{embedded['quadlet_deployment_kvappsdv']}
          to: tree:////etc/containers/systemd/kv-app-sample.yml
        - from:
            mpp-format-string: input://quadlet_kube_grpcurl/{embedded['quadlet_kube_grpcurl']}
          to: tree:////etc/containers/systemd/grpcurl-sample.kube
        - from:
            mpp-format-string: input://quadlet_deployment_grpcurl/{embedded['quadlet_deployment_grpcurl']}
          to: tree:////etc/containers/systemd/grpcurl-sample.yml

- mpp-import-pipelines:
    path: images/image.ipp.yml
